<?php
class TVC_Pricings {
  protected $TVC_Admin_Helper="";
  protected $url = "";
  protected $subscriptionId = "";
  protected $google_detail;
  protected $customApiObj;
  protected $pro_plan_site;

  public function __construct() {
    $this->TVC_Admin_Helper = new TVC_Admin_Helper();
    $this->customApiObj = new CustomApi();
    $this->subscriptionId = $this->TVC_Admin_Helper->get_subscriptionId(); 
    $this->google_detail = $this->TVC_Admin_Helper->get_ee_options_data(); 
    $this->TVC_Admin_Helper->add_spinner_html();
    $this->pro_plan_site = $this->TVC_Admin_Helper->get_pro_plan_site();     
    $this->create_form();
  }

  public function create_form() {
    $message = ""; $class="";        
    $googleDetail = [];
    $plan_id = 1;
    if(isset($this->google_detail['setting'])){
      if ($this->google_detail['setting']) {
        $googleDetail = $this->google_detail['setting'];
        if(isset($googleDetail->plan_id) && !in_array($googleDetail->plan_id, array("1"))){
          $plan_id = $googleDetail->plan_id;
        }
      }
    }

    $close_icon = esc_url(ENHANCAD_PLUGIN_URL.'/admin/images/close.png');
    $check_icon = esc_url(ENHANCAD_PLUGIN_URL.'/admin/images/check.png');
    ?>
<div class="tab-content">
  <?php if($message){
    printf('<div class="%1$s"><div class="alert">%2$s</div></div>', esc_attr($class), esc_html($message));
  }?>
	<div class="tab-pane show active" id="tvc-account-page">
		<div class="tab-card" >			
       <div class="tvc-price-table-features columns-5">
        <div class="tvc-container"> 
          <div class="clearfix">
            <div class="row-heading clearfix">
               <div class="column tvc-blank-col"><span><?php _e("Features","conversios"); ?></span></div>
               <div class="column discounted tvc-free-plan">
                  <div class="name-wrap"><div class="name"><?php _e("STARTER","conversios"); ?></div></div>
                  <div class="tvc-list-price">
                    <div class="price-current"><span class="inner"><?php _e("FREE","conversios"); ?></span></div>
                    <div class="tvc_month_free"><?php _e("FOREVER FREE","conversios"); ?></div>
                  </div>
                  <span>
                    <a href="javascript:void(0)" class="btn tvc-btn"><?php _e("Currently Active","conversios"); ?></a>
                  </span>
               </div>
               <div class="column discounted ">
                  <div class="name-wrap"><div class="name"><?php _e("HUSTLE","conversios"); ?></div></div>
                  <div class="tvc-list-price-month">
                    <div class="tvc-list-price">
                      <div class="price-normal">
                        <span><?php _e("$39.00","conversios"); ?></span>
                        <div class="tvc-plan-off"><?php _e("50% OFF","conversios"); ?></div>
                      </div>
                      <div class="price-current"><span class="inner"><?php _e("$19<span>/month</span>","conversios"); ?></span></div>
                      <div class="tvc_month_free"><?php _e("Limited Offer","conversios"); ?></div>
                    </div>
                    <a target="_blank" href="<?php echo esc_url("https://conversios.io/checkout/?pid=plan_1_m&utm_source=EE+Plugin+User+Interface&utm_medium=HUSTLE&utm_campaign=Upsell+at+Conversios"); ?>" class="btn tvc-btn"><?php _e("Get Started","conversios"); ?></a>
                  </div>              
               </div>
               <div class="column discounted popular">
                <div class="tvc_popular">
                  <div class="tvc_popular_inner"><?php _e("POPULAR","conversios"); ?></div>
                </div>
                  <div class="name-wrap">
                     <div class="name"><?php _e("GROWTH","conversios"); ?></div>                
                  </div>
                  <div class="tvc-list-price-month">
                    <div class="tvc-list-price">
                      <div class="price-normal"><span><?php _e("$59.00","conversios"); ?></span>
                        <div class="tvc-plan-off"><?php _e("50% OFF","conversios"); ?></div>
                      </div>
                      <div class="price-current"><span class="inner"><?php _e("$29<span>/month</span>","conversios"); ?></span></div>
                      <div class="tvc_month_free"><?php _e("Limited Offer","conversios"); ?></div>
                    </div>
                    <a target="_blank"  href="<?php echo esc_url("https://conversios.io/checkout/?pid=plan_2_m&utm_source=EE+Plugin+User+Interface&utm_medium=GROWTH&utm_campaign=Upsell+at+Conversios"); ?>" class="btn tvc-btn"><?php _e("Get Started","conversios"); ?></a>
                  </div>              
               </div>
               <div class="column discounted ">
                  <div class="name-wrap">
                     <div class="name"><?php _e("LEAP","conversios"); ?></div>                
                  </div>
                  <div class="tvc-list-price-month">
                    <div class="tvc-list-price">
                      <div class="price-normal"><span><?php _e("$99.00","conversios"); ?></span>
                        <div class="tvc-plan-off"><?php _e("50% OFF","conversios"); ?></div>
                      </div>
                      <div class="price-current"><span class="inner"><?php _e("$49<span>/month</span>","conversios"); ?></span></div>
                      <div class="tvc_month_free"><?php _e("Limited Offer","conversios"); ?></div>
                    </div>
                    <a target="_blank" href="<?php echo esc_url("https://conversios.io/checkout/?pid=plan_3_m&utm_source=EE+Plugin+User+Interface&utm_medium=LEAP&utm_campaign=Upsell+at+Conversios"); ?>" class="btn tvc-btn"><?php _e("Get Started","conversios"); ?></a>
                  </div>                
               </div>
            </div>
            <div class="row-subheading clearfix"><?php _e("Google Analytics","conversios"); ?></div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Universal Analytics Tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Google Analytics 4 Tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Dual Set up (UA + GA4)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("eCommerce tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Limited)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Shopping Behavior Analysis","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Limited)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Checkout Behavior Tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Limited)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Channel Performance Analysis","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Limited)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("All Pages tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Google Analytics and Google Ads linking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Custom dimensions tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Custom metrics tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("User id tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Client id tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Scroll tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Affiliate performance tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Coupon Performance Tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Actionable Dashboard","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Limited)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Menu tracking","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column popular"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Search Query Tracking","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column popular"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
            </div>
            <div class="row-subheading clearfix"><?php _e("Google Shopping","conversios"); ?></div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Google Merchant Center account management","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Site verification","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Domain claim","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Products Sync via Content API","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br>(upto 100)</div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br>(upto 1000)</div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br>(upto 5000)</div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br>(Unlimited)</div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Automatic Products Update","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br>(upto 100)</div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br>(upto 1000)</div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br>(upto 5000)</div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br>(Unlimited)</div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Schedule Product Sync","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Smart Shopping Campaign management","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Smart Shopping reports","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Google Ads and Google Merchant Center account linking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Remarketing tags","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Dynamic Remarketing Tags for eCommerce events","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Limited)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"><br><?php _e("(Complete)","conversios"); ?></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Google Ads Conversion tracking","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Product filters for selected products sync","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column popular"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Product filter for Smart Shopping Campaign","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column popular"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
            </div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Rule Based Shopping Campaigns","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column popular"><?php _e("(Upcoming)","conversios"); ?></div>
               <div class="column"><?php _e("(Upcoming)","conversios"); ?></div>
            </div>
            <div class="row-subheading clearfix"><?php _e("Support","conversios"); ?></div>
            <div class="row-feature clearfix">
               <div class="column"><?php _e("Free Google Analytics Audit","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Free Consultation with Shopping Expert","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-feature clearfix">
               <div class="column"><?php _e("Dedicated Customer Success Manager","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div><div class="row-footer clearfix">
               <div class="column"><?php _e("Premium Support (24*7)","conversios"); ?></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column"><img src="<?php echo $close_icon; ?>" alt="no"></div>
               <div class="column popular "><img src="<?php echo $check_icon; ?>" alt="yes"></div>
               <div class="column"><img src="<?php echo $check_icon; ?>" alt="yes"></div>
            </div>
          </div>
        </div>
      </div>
      <div class="tvc-guarantee">
        <div class="guarantee">
          <div class="title"><?php _e("<span>15 Days</span>100% No-Risk Money Back Guarantee!","conversios"); ?></div>
          <div class="description"><?php _e("You are fully protected by our 100% No-Risk-Double-Guarantee. If you don’t like over the next 15 days, then we will happily refund 100% of your money. No questions asked.","conversios"); ?></div>
        </div>
      </div>
    </div>
	</div>
</div>
<?php
    }
}
?>